SDL_GetRectEnclosingPoints(3)

NAME
SDL_GetRectEnclosingPoints - Calculate a minimal rectangle enclosing a set of points.

HEADER FILE
Defined in SDL3/SDL_rect.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GetRectEnclosingPoints(const SDL_Point *points, int count, const SDL_Rect *clip, SDL_Rect *result);

DESCRIPTION
If clip is not NULL then only points inside of the clipping rectangle are considered.

FUNCTION PARAMETERS

points
    an array of SDL_Point
     structures representing points to be enclosed.

count
    the number of structures in the points array.

clip
    an SDL_Rect
     used for clipping or NULL to enclose all points.

result
    an SDL_Rect
     structure filled in with the minimal enclosing rectangle.

RETURN VALUE
Returns true if any points were enclosed or false if all the points were outside of the clipping rectangle.

AVAILABILITY
This function is available since SDL 3.2.0.